"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _render = _interopRequireDefault(require("@webiny/api-prerendering-service/render"));
var _handlerAws = require("@webiny/handler-aws");
var _default = params => {
  const render = (0, _render.default)(params);
  return (0, _handlerAws.createSQSEventHandler)(async ({
    event,
    context,
    request,
    reply
  }) => {
    const events = event.Records.map(r => JSON.parse(r.body));
    return render.cb({
      context: context,
      payload: events,
      request,
      reply
    });
  });
};
exports.default = _default;

//# sourceMappingURL=sqsRender.js.map